# Command: FiniteQ

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    FiniteQ - returns true if top object is finite number

Synopsis:

    double FiniteQ -> true/false
      int   FiniteQ -> true

Description:

      For numeric arguments, returns true if the value is finite
      (neither +inf, -inf, or nan). Integers are always finite.
      It is an error to call this function on anything except numbers.

SeeAlso:

- IntegerQ
- DoubleQ
- LiteralQ
- ArrayQ
- StringQ

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative